@import "../variables";

form {
  label {
    display: block;
  }

  input {
    display: block;
    width: 100%;
    height: 32px;
    margin: .2rem 0;
    padding: 0 .2rem;
    font-family: 'Lexend Deca', sans-serif;
    font-size: 16px;
    font-weight: 100;
    border: $grey-dark solid 1px ;
    color: $grey-dark;
  }

  input[type=checkbox]{
    height: 0;
    width: 0;
    visibility: hidden;
  }

  .checkbox-label {
    cursor: pointer;
    text-indent: -9999px;
    width: 40px;
    height: 24px;
    background: $grey-light;
    display: block;
    border-radius: 24px;
    position: relative;
  }

  .checkbox-label:after {
    content: '';
    position: absolute;
    top: 2px;
    left: 2px;
    width: 20px;
    height: 20px;
    background: #fff;
    border-radius: 20px;
    transition: 0.3s;
  }

  input:checked + .checkbox-label {
    background: $primary;
  }

  input:checked + .checkbox-label:after {
    left: calc(100% - 2px);
    transform: translateX(-100%);
  }

  .checkbox-label:active:after {
    width: 32px;
  }


  .control {
    margin: .5rem 0;
    .icon {
      margin: 8px;
      height: 20px;
      svg {
        height: 20px;
        width: 20px;
      }
    }

    &.inline {
      width: 100%;
      display: flex;
      flex-wrap: wrap;
      gap: 4px;

      label {
        flex: 0 0 100%; /* flex-grow, flex-shrink, flex-basis */
      }

      input {
        flex: 1;
      }
    }
  }
}
